Rev-17473: Add linked object in linked scene failure
Closed, ArchivedPublic

Description

In link-inactive.zip:
Bullet.blend <-- contains a Cube called Bullet
Shooter.blend <-- contains a plane called Shooter with an Add Object logic brick which shoots linked Bullet objects
main.blend <-- empty scene which links to the Shooter object


If you start a new scene and link to Shooter.blend, the logic works fine. But once you reload the scene, the shooter fails to add bullet objects.

For more explanations look in main.blend 's text editor.


Cant reproduce, works fine for me.

ah, sorry, confirmed the game logic doesn't work when re-opened.

Campbell Barton (campbellbarton) closed this task as "Archived".Via Old WorldFeb 17 2009, 9:06 AM
Benoit Bolsee (ben2610) added a comment.Via Old WorldApr 30 2009, 10:40 PM

The problem comes from the fact that the Bullet.blend is imported twice as visible in Outliner->library.
Blender loads the Bullet object twice and gets confused about which one is assigned to the Add Object actuator. However, when looping through the objects (with SETLOOPER), blender only shows one Bullet object but the actuator is linked to the second one, which is not converted. Hence the bug.

To fix the problem, just link to Shooter.blend alone. Bullet.blend will be imported automatically via Shooter.blend and the Bullet object will be loaded only once.

However, the confusion about pointers seems to be a bug anyway, but not a BGE bug.
Moving to the normal tracker.

Nobody (None) added a comment.Via Old WorldNov 16 2008, 9:03 PM

This task was automatically closed as archived as part of migration, because the project or tracker this task belonged to is no longer active.

Add Comment